%global themes kora-pgrey kora kora-light kora-light-panel

Name:           kora-icon-theme
Version:        1.5.7
Release:        2%{?dist}.inferit.2
Summary:        Icon theme designed for Equinox GTK theme

Group:          User Interface/Desktops 
License:        GPLv3
URL:            https://github.com/bikass/kora
Source0:        https://github.com/bikass/kora/archive/refs/tags/v%{version}.tar.gz#/kora-%{version}.tar.gz
Source1:	application-x-rpm-redhat.svg
Source2:	goa-account-yandex.svg
Source3:	goa-account-yandex-symbolic.svg
Source4:	accessories-calculator.svg
Source5:	mail_generic.svg
Source6:	gnome-software.svg
Source7:	goa-account-exchange.svg
Source8:	goa-account-fedora.svg
Source9:	goa-account-google.svg
Source10:	goa-account-msn.svg
Source11:	goa-account-owncloud.svg

BuildArch:      noarch
BuildRequires:  fdupes

%description
This icon theme for Gnome provides monochromatic icons for panels, toolbars and
buttons and colorful squared icons for devices, applications, folder, files and
Gnome menu items. Six themes are included to fit with light or dark
themes/panels.


%prep
%autosetup -n kora-%{version}
cp %{SOURCE1} kora/mimetypes/scalable/application-x-rpm-redhat.svg
cp %{SOURCE2} kora/apps/scalable/goa-account-yandex.svg
cp %{SOURCE3} kora/categories/symbolic/goa-account-yandex-symbolic.svg
cp %{SOURCE4} kora/apps/scalable/accessories-calculator.svg
cp %{SOURCE5} kora/apps/scalable/mail_generic.svg
cp %{SOURCE6} kora/apps/scalable/gnome-software.svg
cp --remove-destination %{SOURCE7} %{SOURCE8} %{SOURCE9} %{SOURCE10} %{SOURCE11} kora/apps/scalable/
rm -f kora/apps/scalable/fedora-documentation.svg
rm -f kora/apps/scalable/fedora-logo-icon.svg
rm -f kora/apps/scalable/fedora-release-notes.svg
rm -f kora/apps/scalable/fedora-utils.svg
rm -f kora/apps/scalable/fedorautils.svg

# Remove executable bits on all files
find . -type f -exec chmod 0644 {} \;
find . -type d -exec chmod 0755 {} \;
find . -name '*.sh' -exec chmod +x {} \;

%build
# nothing to build

%install
install -dm 755 %{buildroot}%{_datadir}/icons

cp -a kora* %{buildroot}%{_datadir}/icons
%fdupes -s %{buildroot}



%post
for theme in %{themes}
do
    touch --no-create %{_datadir}/icons/${theme} &>/dev/null ||:
done


%postun
if [ $1 -eq 0 ] ; then
    for theme in %{themes}
    do
        touch --no-create %{_datadir}/icons/${theme} &>/dev/null
        gtk-update-icon-cache %{_datadir}/icons/${theme} &>/dev/null || :
    done
fi


%posttrans
for theme in %{themes}
do
    gtk-update-icon-cache %{_datadir}/icons/${theme} &>/dev/null || :
done


%files
%doc README.md
%license LICENSE
%{_datadir}/icons/kora*


%changelog
* Tue Mar 12 2024 Alexey Lyubimov <a.lyubimov@msvsphere-os.ru> - 1.5.7-3.inferit.2
- remove misc fedora SVG files

* Mon Jul 17 2023 Sergey Cherevko <s.cherevko@msvsphere.ru> - 1.5.7-2.inferit.1
- restored some default icons

* Fri Jul  7 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 1.5.7-2.inferit
- update some icons

* Mon Jul  3 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 1.5.7-1.inferit
- update rpm logo

* Mon Jun 19 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 1.5.7-1
- initial build for MSVSphere 9.2
